Author Topic: [official]qBittorrent 4.1.5 installer - Built with MSVC 2017  (Read 10148 times)

sledgehammer_999

  • qBittorrent maintainer
  • Administrator
  • Forum addict
  • *****
  • Posts: 2405
  • Karma: +148/-1
    • View Profile
Re: [official]qBittorrent 4.1.5 installer - Built with MSVC 2017
« Reply #45 on: January 06, 2019, 10:19:31 PM »

Switeck

  • Forum addict
  • ****
  • Posts: 1311
  • Karma: +89/-0
    • View Profile
Re: [official]qBittorrent 4.1.5 installer - Built with MSVC 2017
« Reply #46 on: January 07, 2019, 05:31:44 AM »
With so many changes going from v4.1.5 and (tentative) v4.1.6 ...why not jump to calling the newer version v4.2.0 beta instead?

Ryrynz

  • Member
  • **
  • Posts: 47
  • Karma: +0/-6
    • View Profile
Re: [official]qBittorrent 4.1.5 installer - Built with MSVC 2017
« Reply #47 on: January 09, 2019, 12:50:55 AM »
Is any dev able to make commits or fork Remote Torrent Adder over on Github and add support for 4.1.5? Thanks.
Potentially even just stripping the rest of the code and having an official remote adder for QBT would be nice.

With so many changes going from v4.1.5 and (tentative) v4.1.6 ...why not jump to calling the newer version v4.2.0 beta instead?

That's exactly what they're doing.. They're keeping 4.1.x as a "stable" release.
« Last Edit: January 09, 2019, 12:54:00 AM by Ryrynz »

melitant

  • Newbie
  • *
  • Posts: 1
  • Karma: +0/-0
    • View Profile
Re: [official]qBittorrent 4.1.5 installer - Built with MSVC 2017
« Reply #48 on: January 15, 2019, 05:31:40 PM »
Why does program version 4.1.5 consume a lot of RAM?  :o https://drive.google.com/open?id=1ZWnlEEXsf8GFzI0FQS5JODI_oz3rrepk
« Last Edit: January 15, 2019, 07:28:05 PM by melitant »

Rootax

  • Newbie
  • *
  • Posts: 15
  • Karma: +0/-0
    • View Profile
Re: [official]qBittorrent 4.1.5 installer - Built with MSVC 2017
« Reply #49 on: January 18, 2019, 07:14:40 PM »
Any of you have compiled qbittorrent under msvc with openssl 1.1.0 or 1.1.1 ? The tutorials are for 1.0.2, and 1.1.x seems to change the process of building it, and the lib names...
« Last Edit: January 19, 2019, 12:37:10 AM by Rootax »

sledgehammer_999

  • qBittorrent maintainer
  • Administrator
  • Forum addict
  • *****
  • Posts: 2405
  • Karma: +148/-1
    • View Profile
Re: [official]qBittorrent 4.1.5 installer - Built with MSVC 2017
« Reply #50 on: January 20, 2019, 09:14:52 PM »
Any of you have compiled qbittorrent under msvc with openssl 1.1.0 or 1.1.1 ? The tutorials are for 1.0.2, and 1.1.x seems to change the process of building it, and the lib names...

Code: [Select]
===openssl 1.1.x===
1. perl Configure VC-WIN64A no-shared zlib no-zlib-dynamic threads --release --openssldir=C:\openssl --prefix=G:\QBITTORRENT\install_msvc64\base -IG:\QBITTORRENT\install_msvc64\base\include -LG:\QBITTORRENT\install_msvc64\base\lib --with-zlib-lib=G:\QBITTORRENT\install_msvc64\base\lib\zlib.lib
3. CFLAGS(end): -O1 -GL -MT /guard:cf
5. LFLAGS=/NOLOGO /SUBSYSTEM:CONSOLE /DYNAMICBASE /NXCOMPAT /LTCG /OPT:REF /OPT:ICF=5 /MANIFEST:EMBED /INCREMENTAL:NO /guard:cf /NODEFAULTLIB:MSVCRT

==qt5==
at the end of configure
OPENSSL_LIBS="-llibssl -llibcrypto"

But I encountered crashes with latest Qt5 so I stayed in the 1.0.x series.

Rootax

  • Newbie
  • *
  • Posts: 15
  • Karma: +0/-0
    • View Profile
Re: [official]qBittorrent 4.1.5 installer - Built with MSVC 2017
« Reply #51 on: January 26, 2019, 12:46:03 PM »
Any of you have compiled qbittorrent under msvc with openssl 1.1.0 or 1.1.1 ? The tutorials are for 1.0.2, and 1.1.x seems to change the process of building it, and the lib names...

Code: [Select]
===openssl 1.1.x===
1. perl Configure VC-WIN64A no-shared zlib no-zlib-dynamic threads --release --openssldir=C:\openssl --prefix=G:\QBITTORRENT\install_msvc64\base -IG:\QBITTORRENT\install_msvc64\base\include -LG:\QBITTORRENT\install_msvc64\base\lib --with-zlib-lib=G:\QBITTORRENT\install_msvc64\base\lib\zlib.lib
3. CFLAGS(end): -O1 -GL -MT /guard:cf
5. LFLAGS=/NOLOGO /SUBSYSTEM:CONSOLE /DYNAMICBASE /NXCOMPAT /LTCG /OPT:REF /OPT:ICF=5 /MANIFEST:EMBED /INCREMENTAL:NO /guard:cf /NODEFAULTLIB:MSVCRT

==qt5==
at the end of configure
OPENSSL_LIBS="-llibssl -llibcrypto"

But I encountered crashes with latest Qt5 so I stayed in the 1.0.x series.

Thx for help. Sucks about Qt5 :/